/**
 * Copyright: Copyright (c) 2009 Jacob Carlborg.
 * Authors: Jacob Carlborg
 * Version: Initial created: Aug 3, 2009 
 * License: $(LINK2 http://www.boost.org/LICENSE_1_0.txt, Boost Software License 1.0)
 */
module dstep.foundation.NSByteOrder;

import dstep.corefoundation.CFByteOrder;
import dstep.foundation.NSObjCRuntime;
import dstep.objc.bridge.Bridge;
import dstep.objc.objc;

enum
{
	NS_UnknownByteOrder = CFByteOrderUnknown,
	NS_LittleEndian = CFByteOrderLittleEndian,
	NS_BigEndian = CFByteOrderBigEndian
}

struct NSSwappedFloat
{
	uint v;
}

struct NSSwappedDouble
{
	ulong v;
}