/**
 * Copyright: Copyright (c) 2009 Jacob Carlborg.
 * Authors: Jacob Carlborg
 * Version: Initial created: Sep 24, 2009 
 * License: $(LINK2 http://www.boost.org/LICENSE_1_0.txt, Boost Software License 1.0)
 */
module dstep.opengl.gluContext;

import dstep.opengl.CGLContext;
import dstep.opengl.gl;
import dstep.opengl.glu;

extern (C)
{
	int gluBuild1DMipmapsCTX (_CGLContextObject* ctx, uint target, int internalFormat, int width, uint format, uint type, void* data);
	int gluBuild2DMipmapsCTX (_CGLContextObject* ctx, uint target, int internalFormat, int width, int height, uint format, uint type, void* data);
	int gluBuild3DMipmapsCTX (_CGLContextObject* ctx, uint target, int internalFormat, int width, int height, int depth, uint format, uint type, void* data);
	int gluBuild1DMipmapLevelsCTX (_CGLContextObject* ctx, uint target, int internalFormat, int width, uint format, uint type, int level, int base, int max, void* data);
	int gluBuild2DMipmapLevelsCTX (_CGLContextObject* ctx, uint target, int internalFormat, int width, int height, uint format, uint type, int level, int base, int max, void* data);
	int gluBuild3DMipmapLevelsCTX (_CGLContextObject* ctx, uint target, int internalFormat, int width, int height, int depth, uint format, uint type, int level, int base, int max, void* data);
	void gluLookAtCTX (_CGLContextObject* ctx, double eyeX, double eyeY, double eyeZ, double centerX, double centerY, double centerZ, double upX, double upY, double upZ);
	GLUnurbs* gluNewNurbsRendererCTX (_CGLContextObject* ctx);
	GLUquadric* gluNewQuadricCTX (_CGLContextObject* ctx);
	GLUtesselator* gluNewTessCTX (_CGLContextObject* ctx);
	void gluOrtho2DCTX (_CGLContextObject* ctx, double left, double right, double bottom, double top);
	void gluPerspectiveCTX (_CGLContextObject* ctx, double fovy, double aspect, double zNear, double zFar);
	void gluPickMatrixCTX (_CGLContextObject* ctx, double x, double y, double delX, double delY, GLint* viewport);
	int gluScaleImageCTX (_CGLContextObject* ctx, uint format, int wIn, int hIn, uint typeIn, void* dataIn, int wOut, int hOut, uint typeOut, void* dataOut);
}