module dstep.foundation.NSMapTable_bindings;

import dstep.foundation.NSMapTable;
import dstep.foundation.NSObjCRuntime;
import dstep.foundation.NSZone;
import dstep.objc.bridge.Bridge;
import dstep.objc.objc;

extern (C)
{
	package void NSFreeMapTable (id table);
	package void NSResetMapTable (id table);
	package bool NSCompareMapTables (id table1, id table2);
	package id NSCopyMapTableWithZone (id table, NSZone* zone);
	package bool NSMapMember (id table, void* key, void** originalKey, void** value);
	package void* NSMapGet (id table, void* key);
	package void NSMapInsert (id table, void* key, void* value);
	package void NSMapInsertKnownAbsent (id table, void* key, void* value);
	package void* NSMapInsertIfAbsent (id table, void* key, void* value);
	package void NSMapRemove (id table, void* key);
	package NSMapEnumerator NSEnumerateMapTable (id table);
	package NSUInteger NSCountMapTable (id table);
	package id NSStringFromMapTable (id table);
	package id NSAllMapTableKeys (id table);
	package id NSAllMapTableValues (id table);
	package id NSCreateMapTableWithZone (NSMapTableKeyCallBacks keyCallBacks, NSMapTableValueCallBacks valueCallBacks, NSUInteger capacity, NSZone* zone);
	package id NSCreateMapTable (NSMapTableKeyCallBacks keyCallBacks, NSMapTableValueCallBacks valueCallBacks, NSUInteger capacity);
}